Create

Creates the payment intent resource

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To create a Payment Intent, we will require to generate first a PaymentRequest, and will send the identifier as paymentRequestId.

The PaymentIntent identifies the intent of a user to fulfill a payment request and will send two key things.

  1. The Connector (connectorId) : identifies the institution through which the user will send the money. This can be recovered from the /connectors endpoint filtering by supportsPaymentInitiation = true.
  2. Identification of the User (parameters): For payment initiation, an institution requires identification of the user in the form of CPF and in the case of Businesses, to send the CNPJ as well.
{
  "paymentRequestId": "c2a6b7d9-3349-435d-8341-44021449ebbc",
  "connectorId": 603,
  "parameters": {
    "cpf": "11111111111"
  }
}
Body Params

Request with information to create a payment intent

string

Primary identifier of the payment request associated to the payment intent

parameters
object

Credentials neccesary to create a payment intent

number

Primary identifier of the connector associated to the payment intent

string
enum

Payment method can be PIS (Payment Initiation) or PIX (PIX QR flow).

Allowed:
boolean

Only for PIX paymentMethod. If true, the generated PIX QR code is dynamic and one-use. This requires the customerId to be present, and the customer must have CPF/CNPJ

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json